<template>
  <v-dialog v-model="show" width="800" persistent>
    <v-card height="600" class="noSelect">
      <v-card-title class="secondary title">
        <img src="../../assets/statik-white-logo.png" style="width: 22px; margin: -7px 0 0 -4px">
        <div style="width: 10px"></div>
        <span style="color: silver">
          Welcome to SIE 2021
        </span>

      </v-card-title>

      <v-card-text>
        <div id="dialogContent">
          <br><br>
          <img src="../../assets/statik-white-logo.png" style="width: 100px;">
          <br><br>
          <span class="display-2" style="color: silver">SIE</span>
          <br>
          <span class="title" style="color: grey">Version 2021</span>
          <br><br><br>
          <span class="dialogBtn" @click="() => this.$emit('create')">
              <v-icon style="color: silver">mdi-plus</v-icon>&nbsp;Create new project
            </span>
          <br><br>

          <input type="file" name="importInput" id="importInput" accept=".siex"/>
          <label for="importInput">
            <span class="dialogBtn" @click="() => this.$emit('import')">
              <v-icon style="color: silver">mdi-file-import-outline</v-icon>&nbsp;Import project
            </span>
          </label>

          <br><br>
          <span class="dialogBtn" @click="() => this.$emit('open')">
            <v-icon style="color: silver">mdi-folder-outline</v-icon>&nbsp;Open
          </span>
        </div>
      </v-card-text>
    </v-card>
  </v-dialog>
</template>

<script>
export default {
  name: 'Welcome',
  props: {
    show: Boolean
  }
}
</script>

<style>
#dialogContent {
  text-align: center;
}

.dialogBtn {
  color: silver;
  font-size: 1.2em;
}

.dialogBtn:hover {
  color: #6d5394;
  cursor: pointer;
}

#importInput {
   width: 0.1px;
   height: 0.1px;
   opacity: 0;
   overflow: hidden;
   position: absolute;
   z-index: -1;
 }

</style>